List the caller's durable AI chat sessions
import requests
url = "https://platform.ankra.app/api/v1/chat/sessions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/chat/sessions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/chat/sessions \
--header 'Authorization: Bearer <token>'{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Chat
List the caller's durable AI chat sessions
Lists the caller’s AI chat sessions, optionally filtered by cluster_id, agent_task_id and status. limit defaults to 50 and is capped at 200.
GET
/
api
/
v1
/
chat
/
sessions
List the caller's durable AI chat sessions
import requests
url = "https://platform.ankra.app/api/v1/chat/sessions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/chat/sessions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/chat/sessions \
--header 'Authorization: Bearer <token>'{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Available options:
pending, running, awaiting_user, waiting, completed, failed, cancelled, expired Required range:
1 <= x <= 200Response
Session summaries, newest first (SessionList)